Skip to main content
GET
GetBlockResults

Path Parameters

height
string<int64>
required

Response

A successful response.

GetBlockResultsResponse is the response type for the Query/GetBlockResults RPC method.

height
string<int64>

height is the block height.

txs_results
object[] | null

txs_results contains the results of each transaction execution.

finalize_block_events
object[] | null

finalize_block_events contains consensus-level events emitted during block finalization, including slashing, jailing, and validator set updates.

validator_updates
object[] | null

validator_updates contains the validator updates for this block.

consensus_param_updates
object | null

consensus_param_updates contains any consensus parameter updates for this block.

app_hash
string<byte> | null

app_hash is the app hash after processing this block.